CFB — ESPN core API (v2)
sportsdataverse.cfb — 85 endpoints.
espn_cfb_league_root
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_league_root()
Last validated n/a.
espn_cfb_season_pointer
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/season
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/season
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_pointer()
Last validated n/a.
espn_cfb_seasons
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_seasons()
Last validated n/a.
espn_cfb_season_info
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_info(season=2024)
Last validated n/a.
espn_cfb_season_types
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/types
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_types(season=2024)
Last validated n/a.
espn_cfb_season_type
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/types/2
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_type(season=2024, season_type=2)
Last validated n/a.
espn_cfb_season_group
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/groups/{group_id}
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. | ||
group_id | group_id | Y | group_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_group(season=2024, season_type=2, group_id=80)
Last validated n/a.
espn_cfb_groups
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/groups
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_groups(season=2024, season_type=2)
Last validated n/a.
espn_cfb_season_group_teams
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/groups/{group_id}/teams
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. | ||
group_id | group_id | Y | group_id path parameter. | ||
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_group_teams(season=2024, season_type=2, group_id=80)
Last validated n/a.
espn_cfb_season_group_children
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/groups/{group_id}/children
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. | ||
group_id | group_id | Y | group_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_group_children(season=2024, season_type=2, group_id=80)
Last validated n/a.
espn_cfb_season_type_leaders
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/leaders
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_type_leaders(season=2024, season_type=2)
Last validated n/a.
espn_cfb_season_type_corrections
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/corrections
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_type_corrections(season=2024, season_type=2)
Last validated n/a.
espn_cfb_season_weeks
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/weeks
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_weeks(season=2024, season_type=2)
Last validated n/a.
espn_cfb_season_week
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/weeks/{week}
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. | ||
week | week | Y | week path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_week(season=2024, season_type=2, week=1)
Last validated n/a.
espn_cfb_season_week_games
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/types/{season_type}/weeks/{week}/events
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
season_type | season_type | Y | season_type path parameter. | ||
week | week | Y | week path parameter. | ||
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_week_games(season=2024, season_type=2, week=1)
Last validated n/a.
espn_cfb_season_teams
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/teams
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/teams
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_teams(season=2024)
Last validated n/a.
espn_cfb_season_team
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/teams/{team_id}
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/teams/4
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
team_id | team_id | Y | team_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_team(season=2024, team_id='4')
Last validated n/a.
espn_cfb_season_players
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/athletes
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/athletes
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
limit | limit | Y | Maximum number of items to return. | ||
page | page | Y | page query parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_players(season=2024)
Last validated n/a.
espn_cfb_season_coaches
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/coaches
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/coaches
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_coaches(season=2024)
Last validated n/a.
espn_cfb_season_draft
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/draft
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/draft
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_draft(season=2024)
Last validated n/a.
espn_cfb_season_draft_round_picks
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/draft/rounds/{round_num}/picks
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
round_num | round_num | Y | round_num path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_draft_round_picks(season=2024, round_num='1')
Last validated n/a.
espn_cfb_futures
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/futures
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/futures
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_futures(season=2024)
Last validated n/a.
espn_cfb_season_freeagents
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/freeagents
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/freeagents
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_freeagents(season=2024)
Last validated n/a.
espn_cfb_team_powerindex
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/powerindex[/{team_id}]
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/powerindex
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. | ||
team_id | team_id | Y | team_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_team_powerindex(season=2024)
Last validated n/a.
espn_cfb_season_powerindex_leaders
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/powerindex/leaders
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_powerindex_leaders(season=2024)
Last validated n/a.
espn_cfb_season_awards
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/{season}/awards
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/seasons/2024/awards
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
season | season | Y | season path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_season_awards(season=2024)
Last validated n/a.
espn_cfb_players_index
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
active | active | Y | active query parameter. | ||
limit | limit | Y | Maximum number of items to return. | ||
page | page | Y | page query parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_players_index()
Last validated n/a.
espn_cfb_player_core
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_core(athlete_id='4239')
Last validated n/a.
espn_cfb_player_career_stats
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/statistics[/{stat_type}]
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. | ||
stat_type | stat_type | Y | stat_type path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_career_stats(athlete_id='4239')
Last validated n/a.
espn_cfb_player_statisticslog
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/statisticslog
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_statisticslog(athlete_id='4239')
Last validated n/a.
espn_cfb_player_eventlog
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/eventlog
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239/eventlog
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_eventlog(athlete_id='4239')
Last validated n/a.
espn_cfb_player_contracts
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/contracts
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239/contracts
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_contracts(athlete_id='4239')
Last validated n/a.
espn_cfb_player_awards
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/awards
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239/awards
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_awards(athlete_id='4239')
Last validated n/a.
espn_cfb_player_seasons
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/seasons
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239/seasons
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_seasons(athlete_id='4239')
Last validated n/a.
espn_cfb_player_records
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/records
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239/records
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_records(athlete_id='4239')
Last validated n/a.
espn_cfb_player_injuries
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/injuries
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239/injuries
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_injuries(athlete_id='4239')
Last validated n/a.
espn_cfb_player_notes
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/notes
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/4239/notes
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_notes(athlete_id='4239')
Last validated n/a.
espn_cfb_player_vs_player
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/athletes/{athlete_id}/vsathlete/{opp_id}
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
athlete_id | athlete_id | Y | athlete_id path parameter. | ||
opp_id | opp_id | Y | opp_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_player_vs_player(athlete_id='4239', opp_id='5')
Last validated n/a.
espn_cfb_games
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
dates | dates | Y | Date or date range filter (YYYYMMDD or YYYYMMDD-YYYYMMDD). | ||
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_games()
Last validated n/a.
espn_cfb_game
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}
Valid URL: https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/401584793
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game(event_id='401584793')
Last validated n/a.
espn_cfb_game_competition
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_competition(event_id='401584793')
Last validated n/a.
espn_cfb_game_teams
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/competitors
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_teams(event_id='401584793')
Last validated n/a.
espn_cfb_game_team
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/competitors/{team_id}
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
team_id | team_id | Y | team_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_team(event_id='401584793', team_id='4')
Last validated n/a.
espn_cfb_game_team_roster
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/competitors/{team_id}/roster
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
team_id | team_id | Y | team_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_team_roster(event_id='401584793', team_id='4')
Last validated n/a.
espn_cfb_game_team_linescores
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/competitors/{team_id}/linescores
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
team_id | team_id | Y | team_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_team_linescores(event_id='401584793', team_id='4')
Last validated n/a.
espn_cfb_game_team_statistics
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/competitors/{team_id}/statistics
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
team_id | team_id | Y | team_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_team_statistics(event_id='401584793', team_id='4')
Last validated n/a.
espn_cfb_game_team_record
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/competitors/{team_id}/record
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
team_id | team_id | Y | team_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_team_record(event_id='401584793', team_id='4')
Last validated n/a.
espn_cfb_game_team_leaders
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/competitors/{team_id}/leaders
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
team_id | team_id | Y | team_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_team_leaders(event_id='401584793', team_id='4')
Last validated n/a.
espn_cfb_game_odds
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/odds
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_odds(event_id='401584793')
Last validated n/a.
espn_cfb_game_probabilities
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/probabilities
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. | ||
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_probabilities(event_id='401584793')
Last validated n/a.
espn_cfb_game_plays
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/plays
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. | ||
limit | limit | Y | Maximum number of items to return. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_plays(event_id='401584793')
Last validated n/a.
espn_cfb_game_play
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/plays/{play_id}
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
play_id | play_id | Y | play_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_play(event_id='401584793', play_id='1')
Last validated n/a.
espn_cfb_game_play_personnel
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/plays/{play_id}/personnel
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
play_id | play_id | Y | play_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_play_personnel(event_id='401584793', play_id='1')
Last validated n/a.
espn_cfb_game_situation
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/situation
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_situation(event_id='401584793')
Last validated n/a.
espn_cfb_game_status
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/status
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_status(event_id='401584793')
Last validated n/a.
espn_cfb_game_officials
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/officials
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_officials(event_id='401584793')
Last validated n/a.
espn_cfb_game_broadcasts
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/broadcasts
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_broadcasts(event_id='401584793')
Last validated n/a.
espn_cfb_game_predictor
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/predictor
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_predictor(event_id='401584793')
Last validated n/a.
espn_cfb_game_powerindex
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/powerindex
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_powerindex(event_id='401584793')
Last validated n/a.
espn_cfb_game_propbets
ESPN endpoint.
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/football/leagues/college-football/events/{event_id}/competitions/{cid}/propbets
| API Parameter | Python | Pattern | Required | Nullable | Description |
|---|---|---|---|---|---|
event_id | event_id | Y | event_id path parameter. | ||
cid | cid | Y | cid path parameter. |
Returns
Raw JSON Dict (no parser registered).
Example
espn_cfb_game_propbets(event_id='401584793')
Last validated n/a.